YSTest: YSLib::Components::CheckButton Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
YSLib::Components::CheckButton Class Reference

复选按钮。 More...

`#include <Selector.h>`

Inheritance diagram for YSLib::Components::CheckButton:
[legend]
Collaboration diagram for YSLib::Components::CheckButton:
[legend]

## Public Member Functions

| CheckButton (const Rect &={})
| 构造：使用指定边界。
void | Refresh (PaintEventArgs &&) override
| 刷新：按指定参数绘制界面并更新状态。
Public Member Functions inherited from YSLib::Components::CheckBox
| CheckBox (const Rect &={})
| 构造：使用指定边界。
| CheckBox (CheckBox &&)=default
bool | IsTicked () const ynothrow
GEvent< void(HTickedEvent::EventArgsType)> & | GetTicked () ynothrow
| 复选框选中事件。
void | SetTicked (bool)
| 设置选中状态并检查复选框选中事件。
void | Tick (bool)
| 设置选中状态并触发复选框选中事件。
Public Member Functions inherited from YSLib::Components::Thumb
| Thumb (const Rect &={}, Drawing::Hue=180)
| 构造：使用指定边界和色调。
| Thumb (Thumb &&)=default
bool | IsPressed () const ynothrow
| 判断按钮当前是否处于按下状态。
Public Member Functions inherited from YSLib::Components::Control
| Control (const Rect &={})
| 构造：使用指定边界，默认背景（同 Widget 默认构造）。
| Control (const Rect &, NoBackgroundTag)
| 构造：使用指定边界，无背景。
| Control (const Control &)
| 复制构造：除容器为空外深复制。
| Control (Control &&)=default
virtual IWidget * | GetBoundControlPtr (const KeyInput &)
| 取按键-指针设备输入默认事件组映射。
void | OnTouch_Close (TouchEventArgs &&)
| 处理屏幕事件：关闭显示。
Public Member Functions inherited from YSLib::Components::Widget
| Widget (const Rect &={}, Color=Drawing::ColorSpace::White, Color=Drawing::ColorSpace::Black)
template<typename _tView , typename _tRenderer , typename _tController >
| Widget (_tView &&pView_=make_unique< View >(), _tRenderer &&pRenderer_=make_unique< Renderer >(), _tController &&pController_={})
| 构造：使用视图指针、渲染器指针和控制器指针，无背景。
| Widget (const Widget &)
| 复制构造：除容器指针为空外深复制。
| Widget (Widget &&)=default
virtual | ~Widget ()
| 析构：虚实现。
SPos | GetX () const ynothrow
SPos | GetY () const ynothrow
SDst | GetWidth () const ynothrow
SDst | GetHeight () const ynothrow
virtual Renderer & | GetRenderer () const ynothrow
| 取渲染器。
virtual View & | GetView () const ynothrow
| 取部件视图。
virtual AController & | GetController () const override
| 取控制器。
virtual WidgetRange | GetChildren () override
void | SetX (SDst _tempArgName)
void | SetY (SDst _tempArgName)
void | SetWidth (SDst _tempArgName)
void | SetHeight (SDst _tempArgName)
void | SetRenderer (unique_ptr< Renderer > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
void | SetView (unique_ptr< View > &&)
| 设置渲染器为指定指针指向的对象，同时更新渲染器状态。
Public Member Functions inherited from YSLib::Components::IWidget
virtual | ~IWidget ()

## Additional Inherited Members

Public Types inherited from YSLib::Components::CheckBox
typedef GValueEventArgs< bool > | TickedArgs
| 复选框选中状态参数类型。
typedef GHEvent< void(TickedArgs)> | HTickedEvent
| 复选框选中事件委托类型。
Public Attributes inherited from YSLib::Components::Control
std::function< IWidget *(const KeyInput &)> | BoundControlPtr
| 按键-指针设备输入事件组映射。
Protected Member Functions inherited from YSLib::Components::CheckBox
void | PaintBox (const Graphics &, const Rect &)
| 绘制复选框。
Protected Attributes inherited from YSLib::Components::CheckBox
bool | bTicked
Protected Attributes inherited from YSLib::Components::MLabel
Drawing::Font | Font
| 字体。
Drawing::Padding | Margin
| 文本和容器的间距。
TextAlignment | HorizontalAlignment
| 文本水平和竖直对齐属性。
TextAlignment | VerticalAlignment
bool | AutoWrapLine
| 启用自动换行。
String | Text
| 标签文本。

## Detailed Description

复选按钮。

Since
  build 311

Definition at line 122 of file Selector.h.

## Constructor & Destructor Documentation

CheckButton::CheckButton | ( | const Rect & | r = `{}` | ) |

explicit

构造：使用指定边界。

Since
  build 337

Definition at line 142 of file Selector.cpp.

References YSLib::Components::MLabel::Margin, and YSLib::Drawing::Padding::Top.

## Member Function Documentation

void CheckButton::Refresh | ( | PaintEventArgs && | e | ) |

overridevirtual

刷新：按指定参数绘制界面并更新状态。

Since
  build 311

Reimplemented from YSLib::Components::CheckBox.

Definition at line 149 of file Selector.cpp.

References YSLib::Components::MLabel::DrawText(), YSLib::Components::Widget::ForeColor, YSLib::Components::GetSizeOf(), YSLib::Drawing::Padding::Left, YSLib::Components::MLabel::Margin, and YSLib::Components::CheckBox::PaintBox().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- Selector.h
- Selector.cpp